package com.example.soulfood_assignment2;


import android.app.Activity;
import android.content.Context;
import android.os.AsyncTask;
import android.util.Log;
import android.widget.ArrayAdapter;
import android.widget.ListView;

import java.util.ArrayList;

public class ThaiAsyncTask  extends AsyncTask<Void, Void, ArrayAdapter<String>> {
    public ArrayList<String> thaiResults = new ArrayList<>();
    public ListView listView;
    public Context context;

    public ThaiAsyncTask(Context context) {
        this.context = context;
    }


    @Override
    protected ArrayAdapter<String> doInBackground(Void... params) {

        try {

            databaseInterface dbi = new databaseInterface();
            thaiResults = dbi.getPlaylistByAttributes(databaseInterface.Cuisine.thai, databaseInterface.Vibe.any, databaseInterface.Time.any);
            for(int i = 0; i < thaiResults.size(); i++)  {
                Log.d("ThaiResults!!!", thaiResults.get(i));
            }
                ArrayAdapter thaiAdapter = new ArrayAdapter<String>(
                    context, android.R.layout.simple_list_item_1, thaiResults
            );
            return thaiAdapter;
        } catch (Exception e) {
            e.printStackTrace();
        }

        return null;
    }

    @Override
    protected void onPostExecute(ArrayAdapter thaiAdapter) {
        listView.setAdapter(thaiAdapter);
    }


}

